gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated: Adding stepts' sc


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated: Adding stepts' scripts.
Date: Wed, 08 Mar 2017 14:27:41 +0100

This is an automated email from the git hooks/post-receive script.

marcello pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new e7f9de0  Adding stepts' scripts.
e7f9de0 is described below

commit e7f9de0a48c9d62146babe7f01bf397735b2d413
Author: Marcello Stanisci <address@hidden>
AuthorDate: Wed Mar 8 14:27:33 2017 +0100

    Adding stepts' scripts.
---
 taler-build/switch_build.sh          | 11 +++++++++++
 taler-build/switch_check_exchange.sh | 11 +++++++++++
 taler-build/switch_check_merchant.sh | 16 ++++++++++++++++
 taler-build/switch_restart.sh        |  7 +++++++
 taler-build/switch_switch.sh         | 13 +++++++++++++
 5 files changed, 58 insertions(+)

diff --git a/taler-build/switch_build.sh b/taler-build/switch_build.sh
new file mode 100755
index 0000000..f04240f
--- /dev/null
+++ b/taler-build/switch_build.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+active=$(sudo -u test cat /home/test/active)
+nonactive="test-blue"
+echo "Active party: ${active}"
+
+if test $active = "test-blue"; then
+  nonactive="test-green"
+fi
+
+sudo -u $nonactive bash -c 'source $HOME/activate; taler-deployment-build'
diff --git a/taler-build/switch_check_exchange.sh 
b/taler-build/switch_check_exchange.sh
new file mode 100755
index 0000000..fdf1b5b
--- /dev/null
+++ b/taler-build/switch_check_exchange.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+status_code1=$(curl -s -o /dev/null -w "%{http_code}" 
https://exchange.test.taler.net/)
+status_code2=$(curl -s -o /dev/null -w "%{http_code}" 
https://exchange.test.taler.net/keys)
+
+if test \
+  $status_code1 = 502 -o \
+  $status_code2 = 502; then
+  exit 1
+fi
+exit 0
diff --git a/taler-build/switch_check_merchant.sh 
b/taler-build/switch_check_merchant.sh
new file mode 100755
index 0000000..0561b03
--- /dev/null
+++ b/taler-build/switch_check_merchant.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+status_code1=$(curl -s -o /dev/null -w "%{http_code}" 
https://shop.test.taler.net/backend)
+status_code2=$(curl -s -o /dev/null -w "%{http_code}" 
https://shop.test.taler.net/backend/proposal)
+status_code3=$(curl -s -o /dev/null -w "%{http_code}" 
https://donations.test.taler.net/backend)
+status_code4=$(curl -s -o /dev/null -w "%{http_code}" 
https://donations.test.taler.net/backend/proposal)
+
+if test \
+  $status_code1 = 502 -o \
+  $status_code2 = 502 -o \
+  $status_code3 = 502 -o \
+  $status_code4 = 502; then
+  exit 1
+fi
+
+exit 0
diff --git a/taler-build/switch_restart.sh b/taler-build/switch_restart.sh
new file mode 100755
index 0000000..425300b
--- /dev/null
+++ b/taler-build/switch_restart.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+active=$(sudo -u test cat /home/test/active)
+nonactive="test-blue"
+echo "Active party: ${active}"
+
+sudo -u $nonactive bash -c 'cd $HOME; . activate; taler-deployment-restart'
diff --git a/taler-build/switch_switch.sh b/taler-build/switch_switch.sh
new file mode 100755
index 0000000..e09b943
--- /dev/null
+++ b/taler-build/switch_switch.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+active=$(sudo -u test cat /home/test/active)
+nonactive="test-blue"
+echo "Active party: ${active}"
+
+if test $active = "test-blue"; then
+  nonactive="test-green"
+fi
+
+echo "Switching to ${nonactive}."
+sudo -u test bash -c "cd /home/test; ./ln-${nonactive}.sh"
+sudo -u $nonactive bash -c 'cd $HOME; . activate; taler-deployment-restart'

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]